Skip to main content
GET
Retrieve object definitions

Supported products

Authorizations

hapikey
string
query
required

Path Parameters

appId
integer<int32>
required

The unique identifier of the app for which the settings are being retrieved.

mediaType
enum<string>
required

The type of media for which the object definitions are being retrieved. Valid values are VIDEO, AUDIO, DOCUMENT, OTHER, and IMAGE.

Available options:
AUDIO,
DOCUMENT,
IMAGE,
OTHER,
VIDEO

Query Parameters

includeFullDefinition
boolean

A boolean indicating whether to include the full definition of the object. If not specified, the default behavior is to return a partial definition.

Response

successful operation

objectTypeId
string
required

A string representing the unique identifier for the object type.

objectTypeName
string
required

A string representing the name of the object type.

properties
object[]
required

An array of properties that belong to the object type, each defining specific attributes of the object.

propertyGroups
object[]
required

An array of property groups associated with the object type, detailing how properties are grouped together.

schema
object
Last modified on September 9, 2026